> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Global DeFi Market Data

> This endpoint allows you **query top 100 cryptocurrency global decentralized finance (DeFi) data including DeFi market cap, trading volume**



## OpenAPI

````yaml /v3.0.1/reference/api-reference/coingecko-demo.json get /global/decentralized_finance_defi
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /global/decentralized_finance_defi:
    get:
      tags:
        - Global
      summary: Global DeFi Market Data
      description: >-
        This endpoint allows you **query top 100 cryptocurrency global
        decentralized finance (DeFi) data including DeFi market cap, trading
        volume**
      operationId: global-DeFi
      responses:
        '200':
          description: Get cryptocurrency global decentralized finance (defi) data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GlobalDeFi'
components:
  schemas:
    GlobalDeFi:
      type: object
      properties:
        data:
          type: object
          properties:
            defi_market_cap:
              type: string
              description: defi market cap
            eth_market_cap:
              type: string
              description: eth market cap
            defi_to_eth_ratio:
              type: string
              description: defi to eth ratio
            trading_volume_24h:
              type: string
              description: defi trading volume in 24 hours
            defi_dominance:
              type: string
              description: defi dominance
            top_coin_name:
              type: string
              description: defi top coin name
            top_coin_defi_dominance:
              type: number
              description: defi top coin dominance
      example:
        data:
          defi_market_cap: '105273842288.229620442228701667'
          eth_market_cap: '406184911478.5772415794509920285'
          defi_to_eth_ratio: '25.9177136602677348904422532573101031788841174510865443130135278'
          trading_volume_24h: '5046503746.288261648853195485635'
          defi_dominance: '3.8676503084614763642371703099489945457095080090859886'
          top_coin_name: Lido Staked Ether
          top_coin_defi_dominance: 30.589442518868
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_demo_api_key

````